Skip to main content
GET
/
v2
/
loyalties
/
benefits
/
{benefitId}
/
activities
List benefit activities
curl --request GET \
  --url {protocol}://{host}/v2/loyalties/benefits/{benefitId}/activities \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "data": {
        "benefit": {
          "id": "<string>",
          "name": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "object": "<string>",
          "stock": {
            "limited": {
              "quantity": 4503599627370495
            }
          },
          "points": {
            "value": 4503599627370495,
            "card_definition_id": "<string>"
          },
          "points_proportional": {
            "card_definition_id": "<string>",
            "order": {
              "amount": {
                "every": 4503599627370496,
                "value": 4503599627370495.5
              },
              "total_amount": {
                "every": 4503599627370496,
                "value": 4503599627370495.5
              },
              "metadata": {
                "every": 4503599627370496,
                "value": 4503599627370495.5,
                "property": "<string>"
              }
            },
            "customer": {
              "metadata": {
                "every": 4503599627370496,
                "value": 4503599627370495.5,
                "property": "<string>"
              }
            },
            "custom_event": {
              "metadata": {
                "every": 4503599627370496,
                "value": 4503599627370495.5,
                "property": "<string>"
              }
            },
            "order_items": {
              "amount": {
                "every": 4503599627370496,
                "value": 4503599627370495.5,
                "applicable_to": [
                  {
                    "product": {
                      "id": "<string>"
                    },
                    "sku": {
                      "id": "<string>"
                    },
                    "products_collection": {
                      "id": "<string>"
                    }
                  }
                ]
              },
              "subtotal_amount": {
                "every": 4503599627370496,
                "value": 4503599627370495.5,
                "applicable_to": [
                  {
                    "product": {
                      "id": "<string>"
                    },
                    "sku": {
                      "id": "<string>"
                    },
                    "products_collection": {
                      "id": "<string>"
                    }
                  }
                ]
              },
              "quantity": {
                "every": 4503599627370496,
                "value": 4503599627370495.5,
                "applicable_to": [
                  {
                    "product": {
                      "id": "<string>"
                    },
                    "sku": {
                      "id": "<string>"
                    },
                    "products_collection": {
                      "id": "<string>"
                    }
                  }
                ]
              }
            }
          },
          "material": {
            "product": {
              "id": "<string>"
            },
            "sku": {
              "product_id": "<string>",
              "id": "<string>"
            }
          },
          "digital": {
            "gift_vouchers": {
              "campaign_id": "<string>",
              "balance": 4503599627370495.5
            },
            "discount_coupons": {
              "campaign_id": "<string>"
            }
          },
          "updated_at": "2023-11-07T05:31:56Z"
        }
      },
      "created_at": "2023-11-07T05:31:56Z",
      "benefit_id": "<string>",
      "group_id": "<string>",
      "source": {
        "user": {
          "id": "<string>"
        },
        "api_key": {
          "name": "<string>",
          "app_id": "<string>",
          "client_app_id": "<string>"
        }
      }
    }
  ],
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  },
  "object": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique benefit ID, prefixed with lben_.

Pattern: ^lben_[a-f0-9]+$

Query Parameters

limit
integer | null
default:10

Maximum number of activities to return. An integer between 1 and 100. Defaults to 10 when omitted.

Required range: 1 <= x <= 100
order

Ordering of the results. Defaults to -created_at. The same field cannot be used in both ascending and descending order at once.

Available options:
created_at,
-created_at
cursor
string | null

Pagination cursor returned in the cursor.next field of a previous response.

Pattern: ^lcrsaben_[a-f0-9]+$
filters
object

Field-specific filter conditions, e.g. filters[type][conditions][$is]=vl.benefit.created. Conditions of multiple fields are combined with the junction.

Filters for the benefit activities list. Each field accepts a conditions object with at least one condition. Conditions of multiple fields are combined with the junction.

Response

Cursor-paginated list of benefit activities

Cursor-paginated list of benefit activities.

data
object[]
required

Activities matching the query, in the requested order.

cursor
object | null
required

Pagination cursor. Null when there are no more results.

object
string
required

Type of the object. Always list.

Allowed value: "list"
Last modified on July 9, 2026